Bug 975455 - [abrt] meld-1.7.3-1.fc18: gtk_tree_model_get_valist: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] meld-1.7.3-1.fc18: gtk_tree_model_get_valist: Process /usr/bin/python2...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:31ce44d152fc566cf2d92104bd9...
:
: 975454 986489 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 09:52 EDT by Paulo Fidalgo
Modified: 2015-06-29 08:01 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.39 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: core_backtrace (3.96 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: dso_list (12.55 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: environ (1.91 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: maps (61.77 KB, text/plain)
2013-06-18 09:52 EDT, Paulo Fidalgo
no flags Details
File: open_fds (1.28 KB, text/plain)
2013-06-18 09:53 EDT, Paulo Fidalgo
no flags Details
File: proc_pid_status (966 bytes, text/plain)
2013-06-18 09:53 EDT, Paulo Fidalgo
no flags Details
Meld crash backtrace (15.22 KB, text/plain)
2014-09-09 05:26 EDT, David Tonhofer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 729651 None None None Never
KDE Software Compilation 32642 None None None Never
KDE Software Compilation 341321 None None None Never

  None (edit)
Description Paulo Fidalgo 2013-06-18 09:52:26 EDT
Description of problem:
I've opened Meld and tried an directory comparison, and then selected "other" to choose an directory from the filesystem.
I've tried it for a second time and it happened again.

Version-Release number of selected component:
meld-1.7.3-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        python /usr/bin/meld
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/python2.7
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 18 14:45:38 toxibas abrt[14213]: Saved core dump of pid 14203 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-06-18-14:45:37-14203 (47390720 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1470
 #1 gtk_tree_model_get at gtktreemodel.c:1432
 #2 combo_box_row_separator_func at gtkfilechooserbutton.c:2365
 #3 tree_column_row_is_sensitive at gtkcombobox.c:1904
 #4 gtk_combo_box_list_button_released at gtkcombobox.c:4160
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #10 gtk_widget_event_internal at gtkwidget.c:5017
 #11 gtk_widget_event at gtkwidget.c:4814
 #12 gtk_propagate_event at gtkmain.c:2490
 #13 gtk_main_do_event at gtkmain.c:1685

Potential duplicate: bug 975454
Comment 1 Paulo Fidalgo 2013-06-18 09:52:32 EDT
Created attachment 762487 [details]
File: backtrace
Comment 2 Paulo Fidalgo 2013-06-18 09:52:35 EDT
Created attachment 762488 [details]
File: cgroup
Comment 3 Paulo Fidalgo 2013-06-18 09:52:39 EDT
Created attachment 762489 [details]
File: core_backtrace
Comment 4 Paulo Fidalgo 2013-06-18 09:52:44 EDT
Created attachment 762490 [details]
File: dso_list
Comment 5 Paulo Fidalgo 2013-06-18 09:52:48 EDT
Created attachment 762491 [details]
File: environ
Comment 6 Paulo Fidalgo 2013-06-18 09:52:52 EDT
Created attachment 762492 [details]
File: limits
Comment 7 Paulo Fidalgo 2013-06-18 09:52:57 EDT
Created attachment 762493 [details]
File: maps
Comment 8 Paulo Fidalgo 2013-06-18 09:53:04 EDT
Created attachment 762494 [details]
File: open_fds
Comment 9 Paulo Fidalgo 2013-06-18 09:53:08 EDT
Created attachment 762495 [details]
File: proc_pid_status
Comment 10 Dominic Hopf 2013-06-28 18:07:31 EDT
*** Bug 975454 has been marked as a duplicate of this bug. ***
Comment 11 Mark Cockfield 2013-11-04 23:29:05 EST
I was attempting a directory comparision and when I clicked the dropdown to select the first directory it crashed.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        python /usr/bin/meld
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/python2.7
kernel:         3.11.4-101.fc18.x86_64
package:        meld-1.8.2-1.fc18
reason:         Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
Comment 12 Fedora End Of Life 2013-12-21 09:03:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Christian Stadelmann 2014-01-16 05:52:41 EST
This bug is also present in F20.
Comment 14 Paulo Fidalgo 2014-01-16 05:56:19 EST
Changed the fedora version to 20 as this happens with meld-1.8.3-1.fc20.noarch.
Comment 15 Paulo Fidalgo 2014-02-21 05:37:53 EST
I've found the possible cause of this bug, it may be related with oxygen-gtk, because if I select the Adwaita theme it works as expected.

Can someone please add the oxygen-gtk maintainer as CC?
Comment 16 Dominic Hopf 2014-07-02 20:42:00 EDT
*** Bug 986489 has been marked as a duplicate of this bug. ***
Comment 17 Nolaan 2014-07-09 15:47:51 EDT
Another user experienced a similar problem:

When trying to compare 2 directories, click on "more..." (Parcourir in french)  the application crashes.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/meld
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/python2.7
kernel:         3.14.9-200.fc20.x86_64
package:        meld-1.8.5-1.fc20
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 David Tonhofer 2014-09-09 05:25:35 EDT
Fedora 20, KDE:

100% reproducible.

On the command line:

/usr/bin/meld:172: GtkWarning: gtk_tree_model_filter_get_value: assertion 'GTK_TREE_MODEL_FILTER (model)->priv->stamp == iter->stamp' failed
  gtk.main()
/usr/bin/meld:172: Warning: gtype.c:4215: type id '0' is invalid
  gtk.main()
/usr/bin/meld:172: Warning: can't peek value table for type '<invalid>' which is not currently referenced
  gtk.main()
Segmentation fault (core dumped)

But this does not seem to a meld problem, rather than a gtk problem?

See attached text file for the debugger backtrace.
Comment 19 David Tonhofer 2014-09-09 05:26:56 EDT
Created attachment 935598 [details]
Meld crash backtrace

Boom Boom in IA__gtk_tree_model_get_valist
Comment 20 Paulo Fidalgo 2014-11-27 06:46:43 EST
Another user experienced a similar problem:

I've just tried to select a folder for version control.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/meld
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/python2.7
kernel:         3.17.3-200.fc20.x86_64
package:        meld-1.8.6-1.fc20
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Paulo Fidalgo 2014-11-27 06:53:14 EST
I've opened a bug on KDE: https://bugs.kde.org/show_bug.cgi?id=341321
Comment 22 Rex Dieter 2014-11-27 07:46:01 EST
the kde bug references a gtk2 one,
https://bugzilla.gnome.org/show_bug.cgi?id=729651

A workaround includes changing GtkComboBox::appears-as-list to 0 in /usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc
Comment 23 Paulo Fidalgo 2014-11-27 08:04:50 EST
Rex Dieter,

If you see this link, from the abrt server, https://retrace.fedoraproject.org/faf/reports/437576/ you'll see it's related to GTK2. That's because I've selected gtk2 in the KDE bug report.
Maybe there's also another bug reports on Fedora with the same origin...
Comment 24 Rex Dieter 2014-12-01 10:47:07 EST
Since this is a gtk2 bug (apparently), I'd suggest re-assigning this to that component.
Comment 25 Fedora End Of Life 2015-05-29 05:07:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2015-06-29 08:01:06 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.